> For the complete documentation index, see [llms.txt](https://docs.wisej.com/api/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.wisej.com/api/wisej.web/enumerations/wisej.web.textdataformat.md).

# TextDataFormat

Namespace: **Wisej.Web**

Assembly: **Wisej.Framework** (4.0.0.0)

Specifies the formats used with text-related methods of the [Clipboard](/api/wisej.web/general/wisej.web.clipboard.md) and [DataObject](/api/wisej.web/general/wisej.web.dataobject.md) classes.

{% tabs %}
{% tab title="C#" %}

```csharp
public enum TextDataFormat : Enum
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Enum TextDataFormat As [Enum]
```

{% endtab %}
{% endtabs %}

## Fields

| Name                    | Description                                                                                                |
| ----------------------- | ---------------------------------------------------------------------------------------------------------- |
| **CommaSeparatedValue** | Specifies a comma-separated value (CSV) format, which is a common interchange format used by spreadsheets. |
| **Html**                | Specifies text consisting of HTML data.                                                                    |
| **Rtf**                 | Specifies text consisting of rich text format (RTF) data.                                                  |
| **Text**                | Specifies the standard ANSI text format.                                                                   |
| **UnicodeText**         | Specifies the standard Unicode text format.                                                                |

## Used By

| Name                                                                                   | Description                                                                                                                                                                     |
| -------------------------------------------------------------------------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| [DataObject.GetText](/api/wisej.web/general/wisej.web.dataobject.md#gettext)           | Retrieves text data from the data object in the format indicated by the specified [TextDataFormat](/api/wisej.web/enumerations/wisej.web.textdataformat.md) value.              |
| [DataObject.ContainsText](/api/wisej.web/general/wisej.web.dataobject.md#containstext) | Indicates whether the data object contains text data in the format indicated by the specified [TextDataFormat](/api/wisej.web/enumerations/wisej.web.textdataformat.md) value.  |
| [DataObject.SetText](/api/wisej.web/general/wisej.web.dataobject.md#settext-textdata)  | Adds text data to the data object in the format indicated by the specified [TextDataFormat](/api/wisej.web/enumerations/wisej.web.textdataformat.md) value.                     |
| [Clipboard.ContainsText](/api/wisej.web/general/wisej.web.clipboard.md#containstext)   | Indicates whether there is text data on the Clipboard in the format indicated by the specified [TextDataFormat](/api/wisej.web/enumerations/wisej.web.textdataformat.md) value. |
| [Clipboard.GetText](/api/wisej.web/general/wisej.web.clipboard.md#gettext)             | Retrieves text data from the Clipboard in the format indicated by the specified [TextDataFormat](/api/wisej.web/enumerations/wisej.web.textdataformat.md) value.                |
| [Clipboard.SetText](/api/wisej.web/general/wisej.web.clipboard.md#settext-text)        | Saves the text data in the format indicated by the specified [TextDataFormat](/api/wisej.web/enumerations/wisej.web.textdataformat.md) value to the clipboard.                  |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.wisej.com/api/wisej.web/enumerations/wisej.web.textdataformat.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
